// Wireless sampleDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Wireless sample.h"
#include "Wireless sampleDlg.h"

#include "SYSAPIAX.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CWirelesssampleDlg dialog

CWirelesssampleDlg::CWirelesssampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWirelesssampleDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CWirelesssampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CWirelesssampleDlg, CDialog)
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	ON_WM_SIZE()
#endif
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BT_Start, &CWirelesssampleDlg::OnBnClickedBtStart)
	ON_BN_CLICKED(IDC_BT_Stop, &CWirelesssampleDlg::OnBnClickedBtStop)
	ON_BN_CLICKED(IDC_WL_Start, &CWirelesssampleDlg::OnBnClickedWlStart)
	ON_BN_CLICKED(IDC_WL_Stop, &CWirelesssampleDlg::OnBnClickedWlStop)
END_MESSAGE_MAP()


// CWirelesssampleDlg message handlers

BOOL CWirelesssampleDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
void CWirelesssampleDlg::OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/)
{
	if (AfxIsDRAEnabled())
	{
		DRA::RelayoutDialog(
			AfxGetResourceHandle(), 
			this->m_hWnd, 
			DRA::GetDisplayMode() != DRA::Portrait ? 
			MAKEINTRESOURCE(IDD_WIRELESSSAMPLE_DIALOG_WIDE) : 
			MAKEINTRESOURCE(IDD_WIRELESSSAMPLE_DIALOG));
	}
}
#endif

BOOL re;

void CWirelesssampleDlg::OnBnClickedBtStart()
{
	// TODO: Add your control notification handler code here

	re = BT_Enable();

	if (re == FALSE)
		MessageBox(L"BT Start Fail", L"Error", MB_OK);
}

void CWirelesssampleDlg::OnBnClickedBtStop()
{
	// TODO: Add your control notification handler code here

	re = BT_Disable();

	if (re == FALSE)
		MessageBox(L"BT Stop Fail", L"Error", MB_OK);
}

void CWirelesssampleDlg::OnBnClickedWlStart()
{
	// TODO: Add your control notification handler code here

	re = WL_Enable();

	if (re == FALSE)
		MessageBox(L"WL Start Fail", L"Error", MB_OK);
}

void CWirelesssampleDlg::OnBnClickedWlStop()
{
	// TODO: Add your control notification handler code here

	re = WL_Disable();

	if (re == FALSE)
		MessageBox(L"WL Stop Fail", L"Error", MB_OK);
}
