
//	WM_APP  0x8000
#define	SM_DATA_READY			WM_APP+1
#define	SM_ERROR_SYSTEM			WM_APP+2
#define	SM_ERROR_API			WM_APP+3

// WM_USER 0x0400
#define ERR_WRITE_FAIL			WM_USER+1
#define ERR_SETTING_FAIL		WM_USER+2
#define ERR_SCANNER_NOT_OPEN	WM_USER+3
#define ERR_INVALID_FILE		WM_USER+4
//#define ERR_TIMEOUT				WM_USER+5


struct GeneralSetting
{
	UINT	m_uiLED;
	UINT	m_uiBeep;
	UINT	m_uiVibrator;
	UINT	m_uiScanResume;

	UINT	m_uiPosition;
	UINT	m_uiTransmit;
	UINT	m_uiAimID;
	
	UINT	m_uiInverte;
	UINT	m_uiScanTout;
	UINT	m_uiIdleTout;
	
	unsigned char	m_strPreamble[10];
	unsigned char	m_strPostamble[10];
};

struct Code11_Setting
{
	UINT		m_uiRead;
	UINT		m_uiChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Code39_Setting
{
	UINT		m_uiRead;
	UINT		m_uiChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiFullASCII;
	UINT		m_uiXmitStarStop;
	UINT		m_uiAppend;
	UINT		m_uiCodePage;
};

struct Code93_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiCodePage;
};

struct Code128_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiISBT128;
	UINT		m_uiCodePage;
};

struct Codabar_Setting
{
	UINT		m_uiRead;
	UINT		m_uiChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiXmitStarStop;
	UINT		m_uiConcat;
};

struct EAN8_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_ui2DigSupp;
	UINT		m_ui5DigSupp;
	UINT		m_uiSuppReq;
	UINT		m_uiSuppSep;
};

struct EAN13_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_uiISBNConvert;
	UINT		m_ui2DigSupp;
	UINT		m_ui5DigSupp;
	UINT		m_uiSuppReq;
	UINT		m_uiSuppSep;
};

struct Industrial25_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Interleaved25_Setting
{
	UINT		m_uiRead;
	UINT		m_uiChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct MSI_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct UK_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Telepen_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiFullASCII;
};

struct UPCA_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_uiCoupon;
	UINT		m_uiXmitNumSys;
	UINT		m_ui2DigSupp;
	UINT		m_ui5DigSupp;
	UINT		m_uiSuppReq;
	UINT		m_uiSuppSep;
};

struct UPCE_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
	UINT		m_uiUPCE1;
	UINT		m_uiConvertToUPCA;
	UINT		m_uiXmitNumSys;
	UINT		m_ui2DigSupp;
	UINT		m_ui5DigSupp;
	UINT		m_uiSuppReq;
	UINT		m_uiSuppSep;
};

struct Matrix25_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct PDF417_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Code16K_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct ChinaPost_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct RSS14_Setting
{
	UINT		m_uiRead;
};

struct RSSLimited_Setting
{
	UINT		m_uiRead;
};

struct RSSExpanded_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Pharmacode_Setting
{
	UINT		m_uiRead;
};

struct MicroPDF_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct EANUCC_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
	UINT		m_uiUPCEANVer;
};

struct IATA25_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Trioptic_Setting
{
	UINT		m_uiRead;
};

struct PosiCode_Setting
{
	UINT		m_uiRead;
	UINT		m_uiLimit;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct CodablockF_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct Code49_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct TLC39_Setting
{
	UINT		m_uiRead;
};

struct Planet_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
};

struct Postnet_Setting
{
	UINT		m_uiRead;
	UINT		m_uiXmitChkDig;
};

struct AustralianPost_Setting
{
	UINT		m_uiRead;
};

struct BritishPost_Setting
{
	UINT		m_uiRead;
};

struct CanadianPost_Setting
{
	UINT		m_uiRead;
};

struct JapanesePost_Setting
{
	UINT		m_uiRead;
};

struct KIXPost_Setting
{
	UINT		m_uiRead;
};

struct KoreaPost_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct USPS_Setting
{
	UINT		m_uiRead;
};

struct UPU_Setting
{
	UINT		m_uiRead;
};

struct Aztec_Setting
{
	UINT		m_uiRead;
	UINT		m_uiRunes;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct DataMatrix_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct MaxiCode_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct QRCode_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct ChineseSensible_Setting
{
	UINT		m_uiRead;
	UINT		m_uiMaxLen;
	UINT		m_uiMinLen;
};

struct ScannerSetting
{
	DWORD								cbSize;
	struct GeneralSetting				generalsetting;
	struct Code11_Setting				Code11;
	struct Code39_Setting				Code39;
	struct Code93_Setting				Code93;
	struct Code128_Setting				Code128;
	struct Codabar_Setting				Codabar;
	struct EAN8_Setting					EAN8;
	struct EAN13_Setting				EAN13;
	struct Industrial25_Setting			Indust25;
	struct Interleaved25_Setting		Inter25;
	struct MSI_Setting					MSIPlessey;
	struct UK_Setting					UKPlessey;
	struct Telepen_Setting				Telepen;
	struct UPCA_Setting					UPCA;
	struct UPCE_Setting					UPCE;
	struct Matrix25_Setting				Matrix25;
	struct PDF417_Setting				PDF417;
	struct Code16K_Setting				Code16K;
	struct ChinaPost_Setting			ChinaPost;
	struct RSS14_Setting				Rss14;
	struct RSSLimited_Setting			RssLimited;
	struct RSSExpanded_Setting			RssExpanded;
	struct Pharmacode_Setting			Pharmacode;
	struct MicroPDF_Setting				MicroPDF;
	struct EANUCC_Setting				EANUCC;
	struct IATA25_Setting				IATA25;
	struct Trioptic_Setting				Trioptic;
	struct PosiCode_Setting				PosiCode;
	struct CodablockF_Setting			CodablockF;
	struct Code49_Setting				Code49;
	struct TLC39_Setting				TLC39;
	struct Planet_Setting				Planet;
	struct Postnet_Setting				Postnet;
	struct AustralianPost_Setting		AustralianPost;
	struct BritishPost_Setting			BritishPost;
	struct CanadianPost_Setting			CanadianPost;
	struct JapanesePost_Setting			JapanesePost;
	struct KIXPost_Setting				KIXPost;
	struct KoreaPost_Setting			KoreaPost;
	struct USPS_Setting					USPS;
	struct UPU_Setting					UPU;
	struct Aztec_Setting				Aztec;
	struct DataMatrix_Setting			DataMatrix;
	struct MaxiCode_Setting				MaxiCode;
	struct QRCode_Setting				QRCode;
	struct ChineseSensible_Setting		ChineseSensible;
};

//API_SCAN related function
BOOL API_Register(HWND hwnd);
BOOL API_Register2(HANDLE	hHandle, int *pMessage);
void API_Unregister();

BOOL API_Reset();
DWORD API_GetError();
DWORD API_GetSysError();
UINT API_GetBarData(LPBYTE buffer, UINT *uiLength, UINT *uiBarType);
UINT API_GetBarDataLength();
UINT API_GetBarType();
void API_ResetBarData();
void API_GoodRead();

BOOL API_SaveSettingsToScanner();
BOOL API_SaveSettingsToFile(LPCTSTR filename);
BOOL API_LoadSettingsFromFile(LPCTSTR filename);

BOOL S2K_IsLoad();
BOOL S2K_Load(BOOL bLoad, DWORD dwTimeOut);

DWORD SCAN_ResumeSystem(BOOL bOn);
BOOL SCAN_SendCommand(int nCommand1, int nCommand2, char *pValue);
BOOL SCAN_QueryStatus(int nCommand1, int nCommand2, char *pReturn);
DWORD SCAN_BatchSetting(ScannerSetting setting);
DWORD SCAN_BatchRead(ScannerSetting *ReadBuf);

//SCAN2KEY related function
BOOL PT_OpenScan2Key();
void PT_CloseScan2Key();
int PT_SetToDefault();

//SCANNER related function
int PT_EnableScanner();
void PT_DisableScanner();
BOOL PT_CheckBarcodeData();
BOOL PT_GetBarcodeData(UINT *uiBarType, char *pBuffer, UINT *uiMaxBufferLen);
BOOL PT_SetDefault();

//SCANKEY related function
int GetLibraryVersion();
DWORD EnableTriggerKey(BOOL bEnable);
DWORD GetTriggerKeyStatus();
DWORD TriggerStatus();
DWORD PressTriggerKey(BOOL bPress);
