// Sheet.cpp : implementation file
//

#include "stdafx.h"
#include "BT_Test.h"
#include "Sheet.h"

extern ULONGLONG btAddressSPP;
extern ULONGLONG btAddressFTP;
extern CString m_strSPP;

// CSheet

IMPLEMENT_DYNAMIC(CSheet, CPropertySheet)

CSheet::CSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{

}

CSheet::CSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{

}

CSheet::~CSheet()
{
}


BEGIN_MESSAGE_MAP(CSheet, CPropertySheet)
END_MESSAGE_MAP()


// CSheet message handlers

BOOL CSheet::OnInitDialog()
{
	BOOL bResult = CPropertySheet::OnInitDialog();

	return bResult;
}

BOOL CSheet::DestroyWindow()
{
	// TODO: Add your specialized code here and/or call the base class

	//theApp.m_BT_Off();

	//WCHAR buf[128];
	//wsprintf(buf,L"%X, %X, %s", btAddressFTP, btAddressSPP,m_strSPP);
	//AfxMessageBox(buf);

	int	nStatus;
	CONNECT_INFO ConnectInfo;
	ConnectInfo.nConnectType = 2;

	DWORD	dwErr = 0;
	dwErr = theApp.m_GetConnectStatus(btAddressFTP, 2, L"", &nStatus);
	if(dwErr == E_FUNC_SUCCEED && nStatus == 1)
	{
		dwErr = theApp.m_ConnectDevice(btAddressFTP, &ConnectInfo, 0);
		if(dwErr != E_FUNC_SUCCEED)
			AfxMessageBox(L"Disonnect FTP fail");
	}

	CString strCom;
	strCom = L"COM" + m_strSPP;
	ConnectInfo.nConnectType = 1;
	wcscpy(ConnectInfo.strCom, strCom);
	dwErr = theApp.m_GetConnectStatus(btAddressSPP, 1, strCom, &nStatus);
	if(dwErr == E_FUNC_SUCCEED && nStatus == 1)
	{
		dwErr = theApp.m_ConnectDevice(btAddressSPP, &ConnectInfo, 0);
		if(dwErr != E_FUNC_SUCCEED)
			AfxMessageBox(L"Disonnect SPP fail");
	}

	return CWnd::DestroyWindow();
}