// Image_VCDlg.h : header file
//

#pragma once

typedef DWORD (_stdcall *pfnTriggerStatus)();
typedef BOOL (_stdcall *pfnIMG_Open)();
typedef BOOL (_stdcall *pfnIMG_Close)();
typedef DWORD (_stdcall *pfnIMG_SetPictureSize)(BOOL bVGA, int nWidth, int nHeight, int nMargin);
typedef DWORD (_stdcall *pfnIMG_GetPictureSize)(BOOL *bVGA, int *nWidth, int *nHeight, int *nMargin);
typedef DWORD (_stdcall *pfnIMG_SetPictureFormat)(int nFormat);
typedef DWORD (_stdcall *pfnIMG_GetPictureFormat)(int *nFormat);
typedef DWORD (_stdcall *pfnIMG_CapturePicture)(WCHAR *lpFilePath);
typedef DWORD (_stdcall *pfnIMG_SetInvert)(BOOL bFlip, BOOL bMirror);
typedef DWORD (_stdcall *pfnIMG_GetInvert)(BOOL *bFlip, BOOL *bMirror);
typedef DWORD (_stdcall *pfnIMG_SetRotation)(int nRotate);
typedef DWORD (_stdcall *pfnIMG_GetRotation)(int *nRotate);
typedef DWORD (_stdcall *pfnIMG_SetProperty)(int nEdgeSharp, int nBright, BOOL bContrast);
typedef DWORD (_stdcall *pfnIMG_GetProperty)(int *nEdgeSharp, int *nBright, BOOL *bContrast);
typedef DWORD (_stdcall *pfnIMG_SetRevise)(BOOL bCompensate, BOOL bNoiseReduce);
typedef DWORD (_stdcall *pfnIMG_GetRevise)(BOOL *bCompensate, BOOL *bNoiseReduce);
typedef DWORD (_stdcall *pfnIMG_SetQualityJPEG)(int nQuality);
typedef DWORD (_stdcall *pfnIMG_GetQualityJPEG)(int *nQuality);
typedef DWORD (_stdcall *pfnIMG_SetFilter)(BOOL bDistance, int nDocImage);
typedef DWORD (_stdcall *pfnIMG_GetFilter)(BOOL *bDistance, int *nDocImage);
typedef DWORD (_stdcall *pfnIMG_SetTransmit)(int nPixelShip, BOOL bHistogram);
typedef DWORD (_stdcall *pfnIMG_GetTransmit)(int *nPixelShip, BOOL *bHistogram);
typedef DWORD (_stdcall *pfnIMG_SetScanTimeout)(int nTimeout);
typedef DWORD (_stdcall *pfnIMG_GetScanTimeout)(int *nTimeout);
typedef BOOL (_stdcall *pfnIMG_Default)();

// CImage_VCDlg dialog
class CImage_VCDlg : public CDialog
{
// Construction
public:
	CImage_VCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_IMAGE_VC_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()


	HINSTANCE m_hLibrary;
	pfnTriggerStatus		TriggerStatus;
	pfnIMG_Open				IMG_Open;
	pfnIMG_Close			IMG_Close;
	pfnIMG_SetPictureSize	IMG_SetPictureSize;
	pfnIMG_GetPictureSize	IMG_GetPictureSize;
	pfnIMG_SetPictureFormat	IMG_SetPictureFormat;
	pfnIMG_GetPictureFormat	IMG_GetPictureFormat;
	pfnIMG_CapturePicture	IMG_CapturePicture;
	pfnIMG_SetInvert		IMG_SetInvert;
	pfnIMG_GetInvert		IMG_GetInvert;
	pfnIMG_SetRotation		IMG_SetRotation;
	pfnIMG_GetRotation		IMG_GetRotation;
	pfnIMG_SetProperty		IMG_SetProperty;
	pfnIMG_GetProperty		IMG_GetProperty;
	pfnIMG_SetRevise		IMG_SetRevise;
	pfnIMG_GetRevise		IMG_GetRevise;
	pfnIMG_SetQualityJPEG	IMG_SetQualityJPEG;
	pfnIMG_GetQualityJPEG	IMG_GetQualityJPEG;
	pfnIMG_SetFilter		IMG_SetFilter;
	pfnIMG_GetFilter		IMG_GetFilter;
	pfnIMG_SetTransmit		IMG_SetTransmit;
	pfnIMG_GetTransmit		IMG_GetTransmit;
	pfnIMG_SetScanTimeout	IMG_SetScanTimeout;
	pfnIMG_GetScanTimeout	IMG_GetScanTimeout;
	pfnIMG_Default			IMG_Default;

public:
	HANDLE m_hThread;

	virtual BOOL DestroyWindow();
	void GetFileName(TCHAR* pInPath, TCHAR* pOutFilePath);
	BOOL CheckFileName(CString strFile);
	afx_msg void OnBnClickedGetPicture();
	afx_msg void OnBnClickedSetSize();
	afx_msg void OnBnClickedInvert();
	afx_msg void OnBnClickedRotation();
	afx_msg void OnBnClickedSetFormat();
	afx_msg void OnBnClickedSetBright();
	afx_msg void OnBnClickedSetTimeout();
	afx_msg void OnBnClickedDefault();
	afx_msg void OnBnClickedSetTransmit();
};
